EricHere wrote:

Generally,such adapter is compatible with all the system version of new iPad 4/mini.Hard to say like that,cos recently many iPhone4/5 have the problem with iOS 7.I mean that you should overlook it and operate it correctly.Surely,if necessary you should change your system for update.


Plus it need sd card class 10 to work on my phone, not working whit oder cards, at leat it pop up as i conect whit the oder cards